Bug 1290502 - [abrt] midori: WTFCrash(): midori killed by SIGSEGV
[abrt] midori: WTFCrash(): midori killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d7640c91e7b4d85dff04a7ff62f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-10 12:14 EST by Florian "der-flo" Lehner
Modified: 2016-07-19 14:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:35:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (229.77 KB, text/plain)
2015-12-10 12:14 EST, Florian "der-flo" Lehner
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-10 12:14 EST, Florian "der-flo" Lehner
no flags Details
File: core_backtrace (25.68 KB, text/plain)
2015-12-10 12:14 EST, Florian "der-flo" Lehner
no flags Details
File: dso_list (17.63 KB, text/plain)
2015-12-10 12:14 EST, Florian "der-flo" Lehner
no flags Details
File: environ (1.49 KB, text/plain)
2015-12-10 12:14 EST, Florian "der-flo" Lehner
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-10 12:14 EST, Florian "der-flo" Lehner
no flags Details
File: maps (213.21 KB, text/plain)
2015-12-10 12:14 EST, Florian "der-flo" Lehner
no flags Details
File: mountinfo (3.49 KB, text/plain)
2015-12-10 12:14 EST, Florian "der-flo" Lehner
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-10 12:14 EST, Florian "der-flo" Lehner
no flags Details
File: open_fds (4.41 KB, text/plain)
2015-12-10 12:14 EST, Florian "der-flo" Lehner
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-12-10 12:14 EST, Florian "der-flo" Lehner
no flags Details
File: var_log_messages (289 bytes, text/plain)
2015-12-10 12:14 EST, Florian "der-flo" Lehner
no flags Details

  None (edit)
Description Florian "der-flo" Lehner 2015-12-10 12:14:23 EST
Version-Release number of selected component:
midori-0.5.11-1.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 3
cmdline:        midori
crash_function: WTFCrash
executable:     /usr/bin/midori
global_pid:     2558
kernel:         4.2.6-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WTFCrash at Source/WTF/wtf/Assertions.cpp:333
 #1 overflowed at Source/WTF/wtf/CheckedArithmetic.h:78
 #2 at at Source/WTF/wtf/Vector.h:589
 #3 operator[] at Source/WTF/wtf/Vector.h:604
 #4 at at Source/JavaScriptCore/dfg/DFGBasicBlock.h:59
 #5 last at Source/JavaScriptCore/dfg/DFGBasicBlock.h:62
 #6 JSC::DFG::ByteCodeParser::linkBlock at Source/JavaScriptCore/dfg/DFGByteCodeParser.cpp:3325
 #7 JSC::DFG::ByteCodeParser::linkBlocks at Source/JavaScriptCore/dfg/DFGByteCodeParser.cpp:3357
 #8 JSC::DFG::ByteCodeParser::handleInlining at Source/JavaScriptCore/dfg/DFGByteCodeParser.cpp:1369
 #9 JSC::DFG::ByteCodeParser::handleCall at Source/JavaScriptCore/dfg/DFGByteCodeParser.cpp:1210
Comment 1 Florian "der-flo" Lehner 2015-12-10 12:14:29 EST
Created attachment 1104420 [details]
File: backtrace
Comment 2 Florian "der-flo" Lehner 2015-12-10 12:14:31 EST
Created attachment 1104421 [details]
File: cgroup
Comment 3 Florian "der-flo" Lehner 2015-12-10 12:14:33 EST
Created attachment 1104422 [details]
File: core_backtrace
Comment 4 Florian "der-flo" Lehner 2015-12-10 12:14:34 EST
Created attachment 1104423 [details]
File: dso_list
Comment 5 Florian "der-flo" Lehner 2015-12-10 12:14:36 EST
Created attachment 1104424 [details]
File: environ
Comment 6 Florian "der-flo" Lehner 2015-12-10 12:14:37 EST
Created attachment 1104425 [details]
File: limits
Comment 7 Florian "der-flo" Lehner 2015-12-10 12:14:40 EST
Created attachment 1104426 [details]
File: maps
Comment 8 Florian "der-flo" Lehner 2015-12-10 12:14:42 EST
Created attachment 1104427 [details]
File: mountinfo
Comment 9 Florian "der-flo" Lehner 2015-12-10 12:14:43 EST
Created attachment 1104428 [details]
File: namespaces
Comment 10 Florian "der-flo" Lehner 2015-12-10 12:14:44 EST
Created attachment 1104429 [details]
File: open_fds
Comment 11 Florian "der-flo" Lehner 2015-12-10 12:14:46 EST
Created attachment 1104430 [details]
File: proc_pid_status
Comment 12 Florian "der-flo" Lehner 2015-12-10 12:14:47 EST
Created attachment 1104431 [details]
File: var_log_messages
Comment 13 Kevin Fenzi 2015-12-10 12:49:17 EST
What were you doing when this happened?

Can you duplicate the crash?
Comment 14 Florian "der-flo" Lehner 2015-12-10 13:08:42 EST
Hi Kevin!

Yes I can reproduce the crash.
Just clicking on random links on facebook.com.
I use this browser just for this one social network.

Cheers,
 flo
Comment 15 Kevin Fenzi 2015-12-11 12:57:35 EST
ok. I can't seem to get it crashing here, but will try more... 

If you can isolate what exact links cause it that would be helpfull as well.
Comment 16 Fedora End Of Life 2016-07-19 14:35:37 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.